local vUI = CreateFrame("Frame", nil, UIParent)

function vUI:ADDON_LOADED(event, addon)
	if (addon ~= "vUI") then
		return
	end
	
	if IsAddOnLoaded("HydraUI") then -- if HydraUI is found, copy all vUI data to it and stop running vUI
		if (vUIProfileData and not HydraUIProfileData) then
			HydraUIProfileData = vUIProfileData
		end
		
		if (vUIProfiles and not HydraUIProfiles) then
			HydraUIProfiles = vUIProfiles
		end
		
		if (vUIData and not HydraUIData) then
			HydraUIData = vUIData
		end
		
		if (vUIGold and not HydraUIGold) then
			HydraUIGold = vUIGold
		end
		
		DisableAddOn(addon)
		self:UnregisterEvent(event)
		ReloadUI()
		
		return
	end
end

function vUI:OnEvent(event, ...)
	if self[event] then
		self[event](self, event, ...)
	end
end

vUI:RegisterEvent("ADDON_LOADED")
vUI:SetScript("OnEvent", vUI.OnEvent)